Summary: Simple process monitor
Name: gnome-system-monitor
Version: 2.10.1
Release: 2mdk
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: procman48.png
Source2: procman32.png
Source3: procman16.png
# (fc) 2.0.4-4mdk don't show supermount volume (Mdk bug 2459)
Patch0: gnome-system-monitor-2.0.4-supermount.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel >= 2.0.0
BuildRequires: libgtop2.0-devel >= 2.9.4
BuildRequires: libwnck-devel >= 2.5
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
Obsoletes: procman gtop
Provides: procman = %{version}
Provides: gtop
PreReq: scrollkeeper >= 0.3

%description
Gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q
%patch0 -p1 -b .supermount

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot/var
%find_lang %{name} --with-gnome

rm -f $RPM_BUILD_ROOT%{_var}

# Mandrake menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
 needs="x11"\
 section="Applications/Monitoring"\
 title="GNOME System monitor"\
 longtitle="View current processes and monitor system state"\
 command="%{_bindir}/gnome-system-monitor"\
 icon="procman.png" \
 startup_notify="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}

cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/procman.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/procman.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/procman.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README NEWS TODO ChangeLog AUTHORS
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Fri Apr 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-2mdk
- remove BuildRequires: libgnomesu-devel

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- drop patches 1,2
- New release 2.8.3

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch1 (CVS): show user memory
- Patch2 (CVS): fix crash at startup (Mdk bug #12639)

* Tue Dec  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf file listing
- New release 2.8.1

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- New release 2.8.0

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- requires new libwnck and libgtop
- requires new gtop

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk
- Release 2.3.1

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-4mdk
- Rebuild against latest libgtop2

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-3mdk
- Rebuild against latest ORBit2

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Rebuild against latest libgtop2

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com 2.3.0-1mdk
- Release 2.3.0

* Thu Mar 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.4-4mdk
- Patch0: don't show supermount volume (Mdk bug 2459)

* Wed Jan 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.4-3mdk
- English correction of menu entry (proofreading by Stew Benedicts)

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Rebuild for latest openssl
- Add yelp cache generation

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Add menu entry

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.7-1mdk
- Release 1.1.7

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- First Mdk package
- Replace gtop

* Thu Jan 10 2002 Havoc Pennington <hp@pobox.com>
- make spec "Red Hat style"
- add GConf stuff
- langify

